smbios_memdevicemap_t Struct Reference
Public interface » ID macros » SMBIOS structures

memory device mapped address More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
hd_smbios_type_t | type
int | data_len
unsigned char * | data
str_list_t * | strings
int | handle
int | memdevice_handle
| memory device handle
int | arraymap_handle
| memory array mapping handle
uint64_t | start_addr
| memory range start address
uint64_t | end_addr
| end address
unsigned | row_pos
| position of the referenced memory device in a row of the address partition
unsigned | interleave_pos
| dto, in an interleave
unsigned | interleave_depth
| number of consecutive rows

## Detailed Description

memory device mapped address

The documentation for this struct was generated from the following file:

- hd.h